<!-- Set variables -->
{{- $tp := .Get 0 -}}
{{- $id := .Get 1 -}}
{{- $json_filepath := path.Join "data" (print  .Page.Params.bib ".json") -}}

<!--Get data  -->
{{- if fileExists $json_filepath -}}
{{- $json := getJSON $json_filepath -}}
{{- $entry := where $json "id" $id -}}

{{- if  eq (len $entry) 0 -}}
<span class="has-background-danger has-text-white">Not found</span>
{{- end -}}
{{- range $entry -}}
<a href="/literature">

<!-- Author / editor -->
{{- if or .author .editor -}}
{{- if .author -}}
{{- if eq $tp "p" -}}
(
{{- end -}}
{{- $n := len .author -}}
{{- if le $n 2 -}}
{{- range $index, $author := (first 2 .author) -}}
{{- index . "non-dropping-particle" -}}{{- .family -}}
{{ if and (gt $n 1) ( eq $index 0) -}}&nbsp;&&nbsp;{{- end -}}
{{- end -}}
{{- end -}}
{{- if gt $n 2 -}}
{{- range first 1 .author -}}
{{- index . "non-dropping-particle" }}{{ .family -}}{{- end }} et al.
{{ end -}}
{{- else -}}
{{- if .editor -}}
{{- $n := len .editor -}}
{{- if le $n 2 -}}
{{- range $index, $author := (first 2 .editor) }}
{{- index . "non-dropping-particle" }}{{- .family -}} {{- if and (gt $n 1) ( eq $index 0) }}&nbsp;&&nbsp;{{- end }}
{{- end }}
{{- end }}
{{- if gt $n 2}}{{- range first 1 .editor}}{{- index . "non-dropping-particle" }} {{- .family -}}{{- end }} et al. {{- end }}
(Ed{{- if gt $n 1 }}s{{- end }}.)
{{- end -}}
{{- end -}}
{{- else -}}
Anonymous
{{- end -}}
{{- "" -}}
<!-- Year -->
{{- range .issued -}}
{{- $year := print (first 1 .) -}}
{{- if or (eq $tp "t") (eq $tp "f") }}({{else}},&nbsp;{{- end -}}
{{- strings.TrimRight "]" (strings.TrimLeft "[" $year) -}})
{{- end -}}
{{- if eq $tp "f" -}}.
    <!-- Title  -->
    {{- if or (eq .type "book") (eq .type  "thesis") -}}
    <em>{{ title .title }}</em>
    {{- else -}}
    {{ .title }}
    {{- end -}}
    {{- if ne (substr .title -1) "?" }}.{{ end }}
    <!-- Article -->
    {{- if in .type "article" -}}
    <i>{{ title (index . "container-title") }}</i>,
    {{- if .volume }} {{ .volume }}{{ end -}}
    {{- if .issue }}({{ .issue }}){{ end -}}
    {{- if .page }}, {{ replace .page "-" "–"}}{{ end -}}.
    {{- end -}}
    <!-- Book -->
    {{- if eq .type "book" -}}
    {{- if .publisher }}{{ .publisher}}.{{ end }}
    {{- end -}}
    <!-- Chapter -->
    {{- if eq .type "chapter" -}}
    In: 
    {{- if .editor -}}
    {{- $n := len .editor -}}
    {{- if le $n 2 -}}
    {{- range $index, $author := (first 2 .editor) -}}
    {{- index . "non-dropping-particle" }}{{- .family }} {{- if and (gt $n 1) ( eq $index 0) }}and {{- end }}
    {{- end }}
    {{- end }}
    {{- if gt $n 2}}{{- range first 1 .editor}}{{- index . "non-dropping-particle" }} {{- .family }}{{- end }} et al.{{- end }}
    (Ed{{- if gt $n 1 }}s{{- end }}.),
    {{- end -}}
    <i>{{ title (index . "container-title") }}</i>
    {{- $place := index . "publisher-place" -}}
    {{- if or .publisher $place }} ({{ end }}
    {{- if .publisher }}{{ .publisher}}{{ end }}
    {{- if and .publisher $place }}, {{ end }}
    {{- if $place }}{{ $place }}{{ end }}
    {{- if or .publisher (index . "publisher-place") }}){{ end -}}.
    {{- end -}}
    <!-- Thesis -->
    {{- if eq .type "thesis" -}}
    {{ .genre }}. {{ .publisher }}.
    {{- end -}}
    <!-- Conference -->
    {{- if eq .type "paper-conference" -}}
    In: <em>{{ title (index . "container-title")}}</em>, {{ index . "publisher-place" }}.
    {{- end -}}
    <!-- Report -->
    {{- if eq .type "report" -}}
    {{ .title }},
    {{- if .number }} ({{ .number }}).{{ end -}}
    {{- if .publisher }}{{ .publisher }}{{ end -}}.
    {{- end -}}
    <!-- Hyperlinks -->
    {{- if .DOI -}}
    doi: <a href="https://doi.org/{{ .DOI }}" title="{{ .title }}" target="_blank">{{ .DOI }}</a>.
    {{- end -}}
    {{- if and .URL (not .DOI) -}}
    <a href="{{ .URL }}" title="{{ .title }}" target="_blank">{{ .URL }}</a>.
    {{- end -}}
{{- end -}}
{{- end -}}
</a>
{{- else -}}
<span class="has-background-danger has-text-white">No file</span>
{{- end -}}


